Package net.sf.saxon.functions

## Class Path_1

- java.lang.Object
- - net.sf.saxon.functions.AbstractFunction
  - - net.sf.saxon.functions.SystemFunction
    - - net.sf.saxon.functions.ScalarSystemFunction
      - - net.sf.saxon.functions.Path_1

- All Implemented Interfaces:
    `Callable`, `Function`, `GroundedValue`, `Item`, `Sequence`

      public class Path_1
      extends ScalarSystemFunction

  Implement the fn:path function with one argument

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.functions.ScalarSystemFunction

      `ZERO_LENGTH_STRING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Path_1()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AtomicValue` | `evaluate​(Item arg, XPathContext context)` | Abstract method that must be supplied in subclasses to perform the evaluation
    `static StringValue` | `makePath​(NodeInfo node, XPathContext context)` |

    - ### Methods inherited from class net.sf.saxon.functions.ScalarSystemFunction

      `call, makeFunctionCall, resultWhenEmpty`

    - ### Methods inherited from class net.sf.saxon.functions.SystemFunction

      `dependsOnContextItem, dynamicCall, equals, export, exportAdditionalArguments, exportAttributes, fixArguments, getArity, getCardinality, getCompilerName, getContextNode, getDescription, getDetails, getErrorCodeForTypeErrors, getFunctionItemType, getFunctionName, getIntegerBounds, getNetCost, getOperandRoles, getRequiredType, getResultItemType, getResultItemType, getRetainedStaticContext, getSpecialProperties, getStaticBaseUriString, getStreamerName, importAttributes, isTrustedResultType, makeCall, makeFunction, makeOptimizedFunctionCall, resultIfEmpty, setArity, setDetails, setRetainedStaticContext, supplyTypeInformation, toShortString, toString, typeCheckCaller`

    - ### Methods inherited from class net.sf.saxon.functions.AbstractFunction

      `atomize, deepEquals, effectiveBooleanValue, getAnnotations, getStringValue, getStringValueCS, isArray, isMap, makeNewContext, simplify, typeCheck`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.Function

      `getGenre`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, head, isStreamed, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

- - ### Constructor Detail

    - #### Path_1

          public Path_1()

  - ### Method Detail

    - #### evaluate

          public AtomicValue evaluate​(Item arg,
                                      XPathContext context)
                               throws XPathException

      Description copied from class: `ScalarSystemFunction`
      Abstract method that must be supplied in subclasses to perform the evaluation
      Specified by:
        `evaluate` in class `ScalarSystemFunction`
      Parameters:
        `arg` - the supplied argument
        `context` - the dynamic context
      Returns:
        the result of the evaluation
      Throws:
        `XPathException` - if a dynamic error occurs

    - #### makePath

          public static StringValue makePath​(NodeInfo node,
                                             XPathContext context)